org.codehaus.plexus.util

## Class StringOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.codehaus.plexus.util.StringOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

  Deprecated.
  As of version 1.5.2 this class should no longer be used because it does not properly handle character encoding. Instead, use `ByteArrayOutputStream.toString(String)`.

      public class StringOutputStream
      extends OutputStream

  Wraps a String as an OutputStream.
  Version:
    $Id$
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringOutputStream()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Deprecated.
    `void` | `write(byte[] b)` Deprecated.
    `void` | `write(byte[] b, int off, int len)` Deprecated.
    `void` | `write(int b)` Deprecated.

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringOutputStream

          public StringOutputStream()

      Deprecated.

  - ### Method Detail

    - #### write

          public void write(byte[] b)
                     throws IOException

      Deprecated.
      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Deprecated.
      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Deprecated.
      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.